# -*- rpm-spec -*-
# $Id: avr-gcc,v 1.14 2003/09/05 12:16:22 grigory Exp $

#define snapshot_version 20030512
%define cross_arch avr

Summary: GNU Compiler for AVR (C language only).
Name: %cross_arch-gcc
Version: 3.4.4
Release: alt1

Copyright: GPL
Group: Development/Other
URL: http://gcc.gnu.org

Source0: gcc-core-%version.tar.bz2
Source1: gcc-g++-%version.tar.bz2
Patch0: gcc-3.3.1-info_fix.diff
Patch1: gcc-3.3.1-combine-fix.diff

# Automatically added by buildreq on Thu Oct 24 2002
BuildRequires: avr-binutils flex

BuildRequires: avr-binutils >= 2.14-alt1
BuildRequires: zlib-devel
Requires: avr-binutils >= 2.14-alt1
Prereq: /sbin/install-info

%define libavrdir %_libdir/%cross_arch
%define includeavrdir %_includedir/%cross_arch


%description
The avr-gcc package contains the GNU Compiler Collection version 3.0 for the
Atmel AVR target.

%package c++
Summary: C++ support for gcc for AVR
Group: Development/Other
Requires: avr-gcc = %version-%release

%description c++
This package adds C++ support to the GNU C compiler version 3.0 for the Atmel
AVR target.

WARNING - This is still fairly experimental and only supports c++ programming
on the mega128 devices.


%prep
%setup -q -n gcc-%version
%setup -q -T -D -b 1 -n gcc-%version
# %patch0 -p1 -b .avr-info-fix

cd %_builddir/gcc-%version/gcc


%build
echo "" > gcc/cp/g++.1
%__mkdir obj-avr-%_target_platform
cd obj-avr-%_target_platform

%remove_optflags %optflags_nocpp %optflags_notraceback
CC="$CC" \
        CFLAGS="$RPM_OPT_FLAGS" \
        CXXFLAGS="$RPM_OPT_FLAGS" \
        GCJFLAGS="$RPM_OPT_FLAGS" \
        XCFLAGS="$RPM_OPT_FLAGS" \
        TCFLAGS="$RPM_OPT_FLAGS" \
	../configure \
		--target=%cross_arch \
		--host=%_target_platform \
		--enable-languages="c,c++" \
		--disable-nls \
		--enable-target-optspace \
		--includedir=%includeavrdir \
		--prefix=%_prefix \
		--exec-prefix=%_libdir/avr \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--libexecdir=%_libdir
#		--with-as=%libavrdir/bin/as \
#		--with-ld=%libavrdir/bin/ld
%make_build


%install
%__mkdir_p %buildroot%_bindir
cd obj-avr-%_target_platform
# TARGET_PLATFORM=%_target_platform
echo timestamp > gcc/cstamp-h

%make_build \
	prefix=%buildroot%_prefix \
	exec_prefix=%buildroot%_libdir \
	libdir=%buildroot%_libdir/avr \
	libexecdir=%buildroot%_libdir/avr \
	includedir=%buildroot%includeavrdir \
	mandir=%buildroot%_mandir \
	infodir=%buildroot%_infodir install

rename cpp.1 %cross_arch-cpp.1 %buildroot%_man1dir/*
rename gcov.1 %cross_arch-gcov.1 %buildroot%_man1dir/*
%__rm -f %buildroot%_man1dir/%cross_arch-g++*

%__mv %buildroot%_libdir/bin/* %buildroot%_bindir/
%__ln_s -f %cross_arch-gcc.1.bz2 %buildroot%_man1dir/%cross_arch-g++.1.bz2
%__ln_s -f %cross_arch-gcc %buildroot%_bindir/%cross_arch-gcc-%version
%__ln_s -f %cross_arch-c++ %buildroot%_bindir/%cross_arch-g++

rename avr-avr avr %buildroot%_man1dir/*
%__rm -rf %buildroot{%_infodir,%_man7dir} %buildroot%libavrdir/libiberty.a

%files
%doc gcc/README* gcc/*ChangeLog*
%_bindir/*-cpp
%_bindir/*-gcc*
%_bindir/*-gcov
%libavrdir/gcc/%cross_arch/*/cc1
%libavrdir/gcc/%cross_arch/*/collect2
%libavrdir/gcc/%cross_arch/*/avr*
%libavrdir/gcc/%cross_arch/*/include*
%libavrdir/gcc/%cross_arch/*/libgcc.a
%libavrdir/gcc/%cross_arch/*/libgcov.a
%libavrdir/gcc/%cross_arch/*/specs
%libavrdir/gcc/%cross_arch/*/install-tools*
#%libavrdir/libiberty.a
%_man1dir/avr-gcc.1*
%_man1dir/avr-cpp.1*
%_man1dir/avr-gcov.1*
#%_infodir/avr*

%files c++
%_bindir/*-*++*
%libavrdir/gcc/%cross_arch/*/cc1plus
%_man1dir/avr-g++.1*


%changelog
* Wed Sep 21 2005 Grigory Milev <week@altlinux.ru> 3.4.4-alt1
- New version released

* Fri Sep  5 2003 Grigory Milev <week@altlinux.ru> 3.3.1-alt1
- 3.3.1 released

* Thu Jun 19 2003 Grigory Milev <week@altlinux.ru> 3.3-alt1.20030512
- new cvs snapshot released

* Tue Apr 22 2003 Grigory Milev <week@altlinux.ru> 3.3-alt1.20030414
- new cvs snapshot released

* Mon Feb 10 2003 Grigory Milev <week@altlinux.ru> 3.2.75-alt2
- new version (snapshot 20030203)

* Tue Nov  5 2002 Grigory Milev <week@altlinux.ru> 3.2.75-alt1.20021028
- new version (snapshot)

* Thu Oct 24 2002 Grigory Milev <week@altlinux.ru> 3.0.4-alt1
- Initial build for ALT Linux

* Tue Mar 17 2002 Theodore A. Roth <troth@verinet.com>
- Initial spec file.

